> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trysoma.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List decrypted secrets

> List all secrets with decrypted values (requires decryption access)



## OpenAPI

````yaml api-reference/openapi.json get /api/secret/v1/list-decrypted
openapi: 3.1.0
info:
  title: soma
  version: v1
servers: []
security: []
tags:
  - name: task
    description: >-
      Task management endpoints for creating, listing, and managing tasks and
      their messages
  - name: secret
    description: Secret management endpoints for storing and retrieving encrypted secrets
  - name: encryption
    description: >-
      Encryption key management endpoints for envelope keys, data encryption
      keys, and aliases
  - name: bridge
    description: >-
      Bridge endpoints for managing providers, credentials, functions, and MCP
      protocol communication
  - name: _internal
    description: >-
      Internal endpoints for health checks, runtime configuration, and SDK code
      generation
  - name: a2a
    description: >-
      Agent-to-agent communication endpoints for agent cards, definitions, and
      JSON-RPC requests
  - name: v1
    description: API version v1 endpoints
paths:
  /api/secret/v1/list-decrypted:
    get:
      tags:
        - secret
        - v1
      summary: List decrypted secrets
      description: List all secrets with decrypted values (requires decryption access)
      operationId: list-decrypted-secrets
      parameters:
        - name: page_size
          in: query
          required: true
          schema:
            type: integer
            format: int64
          style: form
        - name: next_page_token
          in: query
          required: false
          schema:
            type: string
          style: form
      responses:
        '200':
          description: List secrets with decrypted values
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListDecryptedSecretsResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    ListDecryptedSecretsResponse:
      type: object
      required:
        - secrets
      properties:
        next_page_token:
          type:
            - string
            - 'null'
        secrets:
          type: array
          items:
            $ref: '#/components/schemas/DecryptedSecret'
    Error:
      type: object
      required:
        - message
      properties:
        data: {}
        message:
          type: string
    DecryptedSecret:
      type: object
      required:
        - id
        - key
        - decrypted_value
        - dek_alias
        - created_at
        - updated_at
      properties:
        created_at:
          $ref: '#/components/schemas/WrappedChronoDateTime'
        decrypted_value:
          type: string
        dek_alias:
          type: string
        id:
          $ref: '#/components/schemas/WrappedUuidV4'
        key:
          type: string
        updated_at:
          $ref: '#/components/schemas/WrappedChronoDateTime'
    WrappedChronoDateTime:
      type: string
      format: date-time
    WrappedUuidV4:
      type: string
      format: uuid

````